Subject: Re: [PATCH] kbuild: Add '-fms-extensions' to areas with dedicated CFLAGS

From: Segher Boessenkool <[email-masked]>
Date: Wed, 5 Nov 2025 07:44:26 -0600

Hi!

On Sat, Nov 01, 2025 at 12:35:47PM -0400, Nathan Chancellor wrote:
> There are many places within the kernel that use their own CFLAGS
> instead of the main KBUILD_CFLAGS, meaning code written with the main
> kernel's use of '-fms-extensions' in mind that may be tangentially
> included in these areas will result in "error: declaration does not
> declare anything" messages from the compiler.

Please fix such non-standard code then, instead?  The only (documented)
thing -fms-extensions does for C code is give meaning to something that
otherwise is a syntax error (and it is for a good reason!)

Segher